Skip to content

Get active promotion list for SKUS/Customer

GET
/v1/api/promotion/active

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Header Parameters

x-channel

Channel code for filtering. If absent, returns all (global mode).

Type
string

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
filter.products.code

Filter by products.code query param.


Format: filter.products.code={$not}:OPERATION:VALUE



Example: filter.products.code=$not:$like:John Doe&filter.products.code=like:John


Available Operations

  • $in

Type
array
filter.customers.code

Filter by customers.code query param.


Format: filter.customers.code={$not}:OPERATION:VALUE



Example: filter.customers.code=$not:$like:John Doe&filter.customers.code=like:John


Available Operations

  • $in

Type
array
filter.status

Filter by status query param.


Format: filter.status={$not}:OPERATION:VALUE



Example: filter.status=$not:$like:John Doe&filter.status=like:John


Available Operations

  • $eq

Type
array
filter.date_end

Filter by date_end query param.


Format: filter.date_end={$not}:OPERATION:VALUE



Example: filter.date_end=$not:$like:John Doe&filter.date_end=like:John


Available Operations

  • $gte
  • $lte
Type
array
filter.date_start

Filter by date_start query param.


Format: filter.date_start={$not}:OPERATION:VALUE



Example: filter.date_start=$not:$like:John Doe&filter.date_start=like:John


Available Operations

  • $gte
  • $lte
Type
array
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id
  • name
Type
array
select

List of fields to select.


Example: id,status,date_created,date_updated,code



Default Value: By default all fields returns. If you want to select only some fields, provide them in query param

Type
string
customer

Customer information as a JSON string

Type
string
Example"klient-x"
products

List of products as a JSON string

Type
string
Example"08G, 08GK"
context

Promotion Context

Type
string
Valid values
"catalog""cart""all"

Responses

application/json
JSON
"string"

Playground

Server
Authorization
Headers
Variables
Key
Value

Samples

Powered by VitePress OpenAPI